function p.__get_is_solid() return true end

function p.__get_tex() return "block_room" end

function p.__main()
    set_default_block("r_room")
    
    create_rect("e", 1,1,1, 14,14,14)
    create_rect("e", 6,0,6, 8,0,8) --Door.
    create_rect("e", 6,15,6, 8,15,8) --Door.
    
    --Example center.
    std.create_center(2, "r_kitchen")

    local msg_str = "The function "
        .. "^x00ff00std.create_center^!(n, block_type_str) "
        .. "creates an n by n by n rectangle of blocks "
        .. "in the center of the chunk. "
    add_bent_s(7,7,10,"bent_base_txt",msg_str)
end
